
TYPO3.TYPO3CR - Feature # 50

Status: Closed Priority: Should have
Author: pnie - Category:
Created: 2007-04-26 Assigned To:
Updated: 2011-05-05 Due date:
Subject: Documentation: watch that no mismatching .jar files are on java classpath
Description

The php-java-bridge (pjb) used the java classpath (in my case '/usr/share/java/ext/') first when initialising any of the java classes.

If any of the needed java classes reside there (for example derby* or jackrabbit*) and are not in the correct and required version
TYPO3/Unit Tests of 5.0 might fail.

A note that the java libraries must not be available in the java environment in any wrong version should be added in the installation
guide/docs.

History
#1 - 2007-04-26 19:31 - pnie -

---- this was the error message: ------
phpCRJackrabbit/Classes/T3P_phpCRJackrabbit_Repository.php:173

<br>javax.jcr.RepositoryException:
org.apache.lucene.store.FSIndexOutput:
org.apache.lucene.store.FSIndexOutput:
org.apache.lucene.store.FSIndexOutput<br>

#2 - 2007-12-06 17:18 - Robert Lemke
- Status changed from New to Closed
- Sprint set to wontfix

#3 - 2008-07-01 17:25 - Robert Lemke
- Target version deleted (1)
